Foxli
Log inStart free
API reference / posts

Update post

PATCH/v1/posts/{id}Permission posts:write

Edit a draft, queued, or scheduled post.

Headers
AuthorizationstringREQUIRED

Bearer followed by your API key.

Foxli-Workspacestring

Target workspace ID. Required if account owns or admins more than one workspace.

Path parameters
idstringREQUIRED
Query parameters
workspace_idstring

Alternative way to pass workspace ID.

Body parameters
contentstring
scheduled_atstring
media_urlsstring[]
media_idsstring[]
channel_idsstring[]
first_commentstring
tagsstring[]
channel_overridesobject
Errors
400workspace_requiredInvalid request parameters or missing workspace context.
404not_foundResource was not found.
curl -X PATCH https://api.foxli.app/v1/posts/pst_89fa12b \
  -H "Authorization: Bearer $FOXLI_API_KEY" \
  -H "Foxli-Workspace: ws_brand_primary" \
  -H "Content-Type: application/json" \
  -d '{
  "content": "sample_value",
  "scheduled_at": "sample_value",
  "media_urls": [
    "item_1"
  ]
}'
Response200 OK
{
  "success": true
}

Build on Foxli.

Publish posts, sync social channels, stream analytics, and get instant webhooks.

No card for month one · Cancel anytime